%define name     xqf
%define version  1.0.4
%define release  %mkrel 4
%define title       A network game browser
%define longtitle   A network game browser

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        A network game browser
License:        GPL
Group:          Games/Other
Source:         http://prdownloads.sourceforge.net/xqf/%{name}-%{version}.tar.bz2
URL:            http://www.linuxgames.com/xqf
Requires:       qstat >= 2.5c-4mdk
Requires:       gzip
Requires:       wget
BuildRequires:  libgdk-pixbuf-devel
BuildRequires:  desktop-file-utils
BuildRequires:  perl-XML-Parser
Buildroot:      %{_tmppath}/%{name}-%{version}

%description
XQF is a network game browser (e.g. Quake, Sin, etc.). It helps you
locate and connect to game servers.  It has configurable server and
player filters so you can find a server running your favorite game type
or that has a buddy.

%prep
%setup -q

%build
%configure --with-qstat=%_bindir/qstat-quake
%make

%install
rm -rf %{buildroot}
%makeinstall

# menu entry
mkdir -p %{buildroot}%{_menudir}
cat > %{buildroot}/%{_menudir}/%{name} <<EOF
?package(%{name}):\
    command="%{_bindir}/%{name}"\
    needs="x11"\
    icon="%{name}.png"\
    section="More Applications/Games/Arcade" \
    title="%{title}" \
    longtitle="%{longtitle}"\
    xdg="true"
EOF

desktop-file-install --vendor="" \
    --remove-category="Application" \
    --add-category="ArcadeGame" \
    --dir %{buildroot}%{_datadir}/applications \
    %{buildroot}%{_datadir}/applications/*

#Menu icons
install -D -m 644 %{buildroot}%{_datadir}/pixmaps/%{name}_22x22.png %{buildroot}%{_miconsdir}/%{name}.png
install -D -m 644 %{buildroot}%{_datadir}/pixmaps/%{name}_32x32.png %{buildroot}%{_iconsdir}/%{name}.png
install -D -m 644 %{buildroot}%{_datadir}/pixmaps/%{name}_48x48.png %{buildroot}%{_liconsdir}/%{name}.png

%{find_lang} %{name}

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS BUGS COPYING ChangeLog NEWS README TODO
%doc docs/*html docs/PreLaunch.example
%{_bindir}/*
%{_mandir}/man6/xqf.*
%{_datadir}/xqf
%{_datadir}/pixmaps/*
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_menudir}/%{name}
%{_datadir}/applications/%{name}.desktop

%changelog
* Fri Sep 08 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.0.4-4mdv2007.0
- Add missing Quote on menu file

* Thu Aug 31 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.4-3mdv2007.0
- buildrequires desktop-file-utils

* Tue Jul 11 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.4-2mdv2007.0
- xdg menu

* Wed Nov 02 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.4-1mdk
- New release 1.0.4

* Wed Aug 24 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.3-3mdk
- don't own system dir 

* Fri Jul 29 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.3-2mdk
- Fix BuildRequires

* Mon Apr 25 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.3-1mdk
- New release 1.0.3
- spec cleanup
- fix menu

* Tue Jul 13 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.9.14-1mdk 
- new version
- fixed menu entry
- rpmbuilupdate aware

* Tue Mar 02 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.9.13-3mdk
- qstat was renammed to qstat-quake

* Tue Dec 16 2003 Stefan van der Eijk <stefan@eijk.nu> 0.9.13-2mdk
- quiet setup & reupload

* Tue Dec 02 2003 Cameron Hart <cam@bitshifter.net.nz> 0.9.13-1mdk
- updated to latest release
- add Mandrake menu item

* Sat Jun 21 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 0.9.12-1mdk
- first mdk release

